module OpenEHR
  module RM
    module Demogrphic
      class Party < OpenEHR::RM::Common::Archetyped::Locatable
        attr_reader :details, :reverse_relationships, :uid
        attr_reader :idetities, :contacts, :relationships
        def initialize(uid, archetype_node_id, name, archetype_details,
                       feeder_audit, links, identities, relationships, 
                       reverse_relationships, details)
          super(uid, archetype_node_id, name, archetype_details,
                feeder_audit, links, nil)
          uid_valid(uid)
          @uid = uid
          
        end
        def type
          
        end
        def parent=(parent)
          @parent = nil
        end
        private
        def uid_valid(uid)
          raise ArgumentError, "uid is not valid" if uid.nil?
        end
      end
    end # of Demographic
  end # of RM
end # of OpenEHR
